classification
Title: asyncio: Make pause/resume_reading idepotent and no-op for closed transports
Type: behavior Stage: resolved
Components: asyncio Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder: asyncio: Make transport.pause_reading()/resume_reading() idempotent; add transport.is_reading()
View: 32356
Assigned To: Nosy List: asvetlov, fafhrd91, iritkatriel, yselivanov
Priority: normal Keywords:

Created on 2017-03-07 00:24 by fafhrd91, last changed 2020-10-21 15:23 by iritkatriel. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 528 fafhrd91, 2017-03-07 00:24
Messages (2)
msg289147 - (view) Author: Nikolay Kim (fafhrd91) * Date: 2017-03-07 00:24
https://github.com/python/asyncio/issues/488
msg377279 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-09-21 19:48
Looks like this was done under issue32356, so this issue can be closed.
History
Date User Action Args
2020-10-21 15:23:52iritkatrielsetstatus: open -> closed
superseder: asyncio: Make transport.pause_reading()/resume_reading() idempotent; add transport.is_reading()
resolution: out of date
stage: resolved
2020-09-21 19:49:06iritkatrielsetnosy: + asvetlov, yselivanov
type: behavior
components: + asyncio
2020-09-21 19:48:42iritkatrielsetnosy: + iritkatriel
messages: + msg377279
2017-03-07 00:24:13fafhrd91create